using GLib;
using Gee;

namespace SrcPkgManager {

	public class SrcInfo: GLib.Object {
	}

	public class BinInfo: GLib.Object {
	} 

	public class Control: GLib.Object {	
		public BinInfo bin { get; set; }
		public SrcInfo src { get; set; }
	}

	public class ChangeLog: GLib.Object {
		public string version { get; set; }
		public string revision  { get; set; }

		public ChangeLog (string pkg_version, string pkg_rev) {
			version = pkg_version;
			revision = pkg_rev;
		}
	}

	public class Patch: GLib.Object	{
		public string name { get; set; }
		public bool active { get; set; }
	}

	public class Package: GLib.Object {	

		public string name { get; set; }
		
		public Control control { get; set; }
		public ChangeLog change_log { get; set; } 
		public ArrayList<Patch> patches { get; set; }

		public Package (string pkg_name, string pkg_version, string pkg_rev) {
			name = pkg_name;

			control = new Control();
			change_log = new ChangeLog(pkg_version, pkg_rev);
			patches = new ArrayList<Patch>();
		}
	}
}